aboutsummaryrefslogtreecommitdiffstats
path: root/cases/function/core_recovery/runtest_ifu.sh
diff options
context:
space:
mode:
Diffstat (limited to 'cases/function/core_recovery/runtest_ifu.sh')
-rwxr-xr-xcases/function/core_recovery/runtest_ifu.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/cases/function/core_recovery/runtest_ifu.sh b/cases/function/core_recovery/runtest_ifu.sh
new file mode 100755
index 0000000..bb49a5b
--- /dev/null
+++ b/cases/function/core_recovery/runtest_ifu.sh
@@ -0,0 +1,33 @@
+#!/bin/sh
+# This test is the SRAR/DCU functional test.
+#
+
+cat <<-EOF
+
+***************************************************************************
+Pay attention:
+
+This test is SRAR functional test. It is for IFU part(L1 Instruction Cache).
+The test highly depends on BIOS implementation, which means if BIOS is bogus,
+it is possible to cause system hang/crash. If meeting this situation,
+please test again after rebooot or just skip this test.
+***************************************************************************
+
+
+EOF
+
+echo 0 > $TMP_DIR/error.$$
+
+pushd `dirname $0` > /dev/null
+./srar_recovery.sh -i
+[ $? -eq 0 ] || echo 1 > $TMP_DIR/error.$$
+popd > /dev/null
+
+grep -q "1" $TMP_DIR/error.$$
+if [ $? -eq 0 ]
+then
+ exit 1
+else
+ exit 0
+fi
+